function writetexC3(T,filename,tausq_all)

% ----------------------------------------------------------------------- %
% Modified based on table2latex.m (v1.1) by 
% Victor Martinez-Cagigal (2020). MATLAB Table to LaTeX conversor 
%(https://www.mathworks.com/matlabcentral/fileexchange/69063-matlab-table-to-latex-conversor), 
% MATLAB Central File Exchange. Retrieved April 14, 2020.
% ----------------------------------------------------------------------- %

[n_row,n_col]=size(T);
N_r=round(n_row/numel(tausq_all));
startix=[1:N_r:n_row,n_row+1];

 % Writing header
    fileID = fopen(filename, 'w');
    fprintf(fileID, '\\begin{tabular}{*{13}{r}}\n');
    fprintf(fileID,'&\\multicolumn{3}{c}{IID}&\\multicolumn{3}{c}{CSD}&\\multicolumn{3}{c}{MA1}&\\multicolumn{3}{c}{AR1}\\\\ \n');
        fprintf(fileID, '$s$ & (iii)& (iii$^o$)& (iii*) & (iii)& (iii$^o$)& (iii*) & (iii)& (iii$^o$)& (iii*) & (iii)& (iii$^o$)& (iii*) \\\\ \n');
    fprintf(fileID, '\\hline \n');

 % Writing the data
        
        for i = 1:(numel(tausq_all))
            if tausq_all(i)==0
                fprintf(fileID,'\\multicolumn{13}{c}{$H_0:\\left\\|\\beta \\right\\|^2=0 $}\\\\ \n');
            else
                fprintf(fileID,'\\multicolumn{13}{c}{$H_a^{%d}:\\left\\|\\beta \\right\\|^2={%d}\\times\\frac{\\sqrt{p}}{n} $}\\\\ \n',i-1,tausq_all(i));
            end
        for row = startix(i):(startix(i+1)-1)
            temp{1,n_col} = [];
            for col = 1:n_col
                temp{1,col} = num2str(T{row,col});
            end
            fprintf(fileID, '%s \\\\ \n', strjoin(temp, ' & '));
            clear temp;
        end
        end
    
    % Closing the file
    fprintf(fileID, '\\hline \n');
    fprintf(fileID, '\\end{tabular}');
    fclose(fileID);

end

